/*
 * rusprint.c
 */

#include <stdio.h>

#define DEFAULT 0
#define RUS     1
#define LAT     2

main( int argn, char **argv )
{
    char *rusfont="cmctt12";
    char *latfont="cmtt12";
    char *size="12";
    char state = DEFAULT;
    int c;
    
    if( argn > 1 )
        rusfont=argv[1];
    if( argn > 2 )
        latfont=argv[2];
    if( argn > 3 )
        size=argv[3];
    while( (c=getchar()) != EOF )
    {
        if( c >= 0300 )
        {
            if( state != RUS )
            {
                state = RUS;
                printf( "%cfont{%s@%s}", 0, rusfont, size );
            }
            putchar( c-0200 );
        }
        else
        {
            if( state != LAT )
            {
                state = LAT;
                printf( "%cfont{%s@%s}", 0, latfont, size );
            }
            putchar( c == 040 ? 0240 : c );
        }
    }
}

